public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/dune-private-libs/
Date: Tue, 22 Nov 2022 19:34:36 +0000 (UTC)	[thread overview]
Message-ID: <1669145665.80b216ffef3cdc6a702d336be01a4b125f5a26d3.tupone@gentoo> (raw)

commit:     80b216ffef3cdc6a702d336be01a4b125f5a26d3
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 22 19:34:25 2022 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Tue Nov 22 19:34:25 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=80b216ff

dev-ml/dune-private-libs: add 3.2.0

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/dune-private-libs/Manifest                  |  1 +
 .../dune-private-libs-3.2.0.ebuild                 | 36 ++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-ml/dune-private-libs/Manifest b/dev-ml/dune-private-libs/Manifest
index bc194e8ffc95..76256fd4dba1 100644
--- a/dev-ml/dune-private-libs/Manifest
+++ b/dev-ml/dune-private-libs/Manifest
@@ -2,3 +2,4 @@ DIST dune-2.8.4.tar.gz 1372925 BLAKE2B 5b6d6738a0dc701d852e6cc59a1998f64c006d233
 DIST dune-2.9.1.tar.gz 1385381 BLAKE2B 27224f803547d02f7110dcfc486ef41f9a4586f6f862ef7f8bbf05cc1f3f6dc8ea03fca99c01842f4226ea3d08f4127daa0e5811dd46cc00f1b96ad7eaafe43d SHA512 4fcff34de4acc4429dd73864ca90e695d8ba436839fd679608f7db292e44be70c3db455a58f59477f2055f84ce497bfa8e90e485ed9536acad3c1b3be3d4be77
 DIST dune-2.9.3.tar.gz 1387667 BLAKE2B 3db54c780b9d13f40c774f53c3fe471dba4a640e7cb5aa5d70ef1dc20a217b95a66149ca5f99f07f3a20450577d622e0cda149f656f06f5a42231b89667c1152 SHA512 df6e06a9beebf41f3ed375384be781b5c87c7949048995cc0bbad13dd65c96bd8b27415cd41e43b1112bd86524a59a7dd418e14b5c72b4f1f8fd4ac5ca2d1494
 DIST dune-3.0.3.tar.gz 1725788 BLAKE2B 2de93c085f642c8381642a08b18bc21ad48097f32397b3eddab9725deb267b089849b649705e1b72bb1b5b37f7531fd9e0cfb134174f0cb3a8ee2595c7dcf8ce SHA512 839e942bcf8189763d0d9b01614333bb2f036bce68c82959e51d2e9145b57067cb862b66781912391c1a0f531b8dddf2ffeafcee71c626169a437fe40feba155
+DIST dune-3.2.0.tar.gz 1754664 BLAKE2B 97ba420a5bf9dd8e14ba74c0e91b6679924fd9ee7b8d9a9a2d4b282166d9172582a37adf408fd037972dab7525cd240c24729b6692f403c32029b2994044bd40 SHA512 a90ac689d97acab956fd96f16f7c6cfdc95d01785fc14f0d3c8ab39231ff78e8941d2db2fa8cbfaa39bbed8f865e11b628aacae1b22df49512a57d0263c0dca4

diff --git a/dev-ml/dune-private-libs/dune-private-libs-3.2.0.ebuild b/dev-ml/dune-private-libs/dune-private-libs-3.2.0.ebuild
new file mode 100644
index 000000000000..40c7495b31a2
--- /dev/null
+++ b/dev-ml/dune-private-libs/dune-private-libs-3.2.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit dune multiprocessing
+
+DESCRIPTION="Private libraries of Dune"
+HOMEPAGE="https://github.com/ocaml/dune"
+SRC_URI="https://github.com/ocaml/dune/archive/${PV}.tar.gz
+	-> dune-${PV}.tar.gz"
+S="${WORKDIR}/dune-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="+ocamlopt"
+RESTRICT="test"
+
+BDEPEND=">=dev-ml/dune-3"
+DEPEND="
+	>=dev-ml/csexp-1.5:=[ocamlopt?]
+	dev-ml/pp:=[ocamlopt?]
+	~dev-ml/dyn-${PV}:=[ocamlopt?]
+	~dev-ml/stdune-${PV}:=[ocamlopt?]
+	>=dev-lang/ocaml-4.08
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+	:
+}
+
+src_compile() {
+	dune build -p "${PN}" @install -j $(makeopts_jobs) --profile release || die
+}


             reply	other threads:[~2022-11-22 19:34 UTC|newest]

Thread overview: 84+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-11-22 19:34 Alfredo Tupone [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-30 19:03 [gentoo-commits] repo/gentoo:master commit in: dev-ml/dune-private-libs/ Alfredo Tupone
2024-09-28 14:33 Alfredo Tupone
2024-09-28 14:30 Alfredo Tupone
2024-09-08 17:18 Alfredo Tupone
2024-09-03 13:24 Alfredo Tupone
2024-08-16 13:58 Sam James
2024-08-14  9:50 Sam James
2024-08-14  9:49 Sam James
2024-08-13 20:01 Arthur Zamarin
2024-08-13 19:32 Arthur Zamarin
2024-08-03 11:13 Alfredo Tupone
2024-08-02 17:16 Alfredo Tupone
2024-08-02 12:01 Alfredo Tupone
2024-08-01 18:44 Alfredo Tupone
2024-07-19  6:32 Alfredo Tupone
2024-07-03 16:02 Alfredo Tupone
2024-07-02  7:18 Alfredo Tupone
2024-06-08 15:39 Arthur Zamarin
2024-06-08 15:32 Sam James
2024-06-08 15:03 Alfredo Tupone
2024-06-08 14:21 Arthur Zamarin
2024-06-08 14:21 Arthur Zamarin
2024-06-08 14:21 Arthur Zamarin
2024-06-05 17:53 Alfredo Tupone
2023-08-16 13:29 Arthur Zamarin
2023-08-02 19:53 Alfredo Tupone
2023-07-11 17:01 Alfredo Tupone
2023-07-03 19:02 Alfredo Tupone
2023-05-23 19:37 Alfredo Tupone
2023-05-20 16:47 Alfredo Tupone
2023-04-29  8:52 Arthur Zamarin
2023-04-29  8:51 Arthur Zamarin
2023-04-29  8:36 Arthur Zamarin
2023-04-16  8:41 Alfredo Tupone
2023-04-01  0:55 Sam James
2023-03-17 16:01 Arthur Zamarin
2023-03-15 20:26 Arthur Zamarin
2023-03-01 18:38 Alfredo Tupone
2023-02-24 16:14 Arthur Zamarin
2023-02-23 23:38 Sam James
2023-01-30 20:52 Alfredo Tupone
2022-12-16 21:52 Alfredo Tupone
2022-11-20 10:07 Alfredo Tupone
2022-11-19 22:43 Alfredo Tupone
2022-11-19 21:31 Maciej Barć
2022-11-18 17:47 Arthur Zamarin
2022-07-23 23:52 Sam James
2022-07-06  6:11 Alfredo Tupone
2022-04-18 21:07 Jakov Smolić
2022-01-29 19:31 Alfredo Tupone
2021-12-10 17:15 Jakov Smolić
2021-12-10 11:15 Jakov Smolić
2021-12-08 19:09 Arthur Zamarin
2021-12-07 20:25 Arthur Zamarin
2021-10-02 21:20 Sam James
2021-07-21 20:08 Alfredo Tupone
2021-04-26 19:22 Sam James
2021-04-25 15:52 Sam James
2021-04-22 23:33 Sam James
2021-04-22 23:33 Sam James
2021-04-22 20:19 Sam James
2021-04-18  6:47 Sam James
2021-03-15  4:02 Sam James
2021-03-14 22:03 Sam James
2021-03-14  0:48 Sam James
2021-03-13 14:05 Sam James
2021-03-13 14:03 Sam James
2021-03-04 14:28 Agostino Sarubbo
2021-02-25 17:54 Sam James
2021-02-25 13:09 Sam James
2021-02-21  9:49 Sam James
2021-02-10 16:39 Sam James
2021-01-29 22:37 Alfredo Tupone
2021-01-29 22:08 Sam James
2021-01-28 20:25 Sam James
2021-01-28  2:48 Sam James
2021-01-27 19:53 Sam James
2021-01-27  6:04 Sam James
2021-01-25  0:46 Sam James
2021-01-24 17:10 Sam James
2021-01-24 16:06 Sam James
2020-11-10  1:04 Sam James
2020-10-14 11:34 Mark Wright

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1669145665.80b216ffef3cdc6a702d336be01a4b125f5a26d3.tupone@gentoo \
    --to=tupone@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox